Support AI

Leads

Learn how to managed your AI chatbot leads with the Support AI leads API endpoints.

Leads are users who input their information into the Support AI chatbot for additional communications.

Properties

lead_idinteger

Unique identifier for the lead.

lead_datestring

The date the lead was created.

countrystring

The country of origin for the lead.

emailstring

The email of the lead.

namestring

The name of the lead.

phonestring

The phone number of the lead.


GET /listLeads/:chatbot_id

Fetch all leads

Get a list of all leads of a specific chatbot of your account.

Request

GET /listLeads/:chatbot_id

curl --request GET \
  --url https://api.supportai.com/listLeads/:chatbot_id \
  --header 'Authorization: Bearer IDZFdfiD...'

Response

{
  "success": true,
  "data": [
    {
      "lead_id": 123...,
      "lead_date": "2024-01-16T22:43:53.892531+00:00",
      "country": "US",
      "email": "lead@email.com",
      "name": "John Smith",
      "phone": "310 000-0000"
    }
    ...
  ]
}